/{organizationId}/finance/accounting/accountingPlanGet accounting plan
Returns the accounting plan for the organization
Required permissions:
accountingPlan.read
Path Parameters
organizationIdstringrequired Query Parameters
modifiedBeforedate-timeoptional modifiedAfterdate-timeoptional Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/accounting/accountingPlan' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
baseTypestringrequired Options:
TESTSKR42EURSKR42GUVSKR03GUVSKR04GUVSKR07EARSKR07GUVAdditional properties are not allowed.
Additional properties are not allowed.
Response
{
"baseType": "TEST",
"settings": {
"accountDigits": 1,
"accountDigitsSplitLast": true,
"cashRegisterRange": [
1
],
"cashAccountRange": [
1
],
"debtorCreditorClearingAccount": 1,
"depositsClearingAccount": 1,
"debtorCollectingAccount": 1,
"creditorCollectingAccount": 1,
"debtorInterestAccount": 1,
"creditorInterestAccount": 1,
"debtorForwardingAccount": 1,
"creditorForwardingAccount": 1,
"forwardingAccount": 1,
"forwardingRange": [
1
],
"defaultRevenueAccount": 1,
"defaultExpenseAccount": 1,
"moneyTransactionCosts": {
"account": 1,
"preTaxCode": "string"
},
"transitAccount": 1,
"moneyTransitAccount": 1,
"depreciationAccounts": {
"debit": 1,
"credit": 1
},
"debtorAccountRange": [
1
],
"creditorAccountRange": [
1
],
"defaultEventRateAccount": 1,
"defaultResourceRateAccount": 1,
"defaultPunchCardAccount": 1,
"defaultBookingServiceAccount": 1,
"defaultPlanAccount": 1,
"deductibleExpenseTaxAccounts": {
"counterAccount": 1,
"reversalAccount": 1
}
},
"taxes": [
{
"type": "pre",
"code": "string",
"datevCode": 1,
"rate": 0,
"label": "string",
"labelShort": "string",
"builtIn": true,
"account": 1,
"discountAccount": 1,
"reductionAccount": 1,
"depositAccount": 1,
"pendingAccount": 1
}
],
"regions": [
{
"digit": 1,
"label": "string",
"hasTax": true
}
],
"categories": [
{
"from": 1,
"to": 1,
"label": "string",
"func": "forward"
}
],
"ranges": [
{
"from": 1,
"to": 1,
"group": "capitalAsset"
}
],
"accounts": [
{
"number": 1,
"label": "string",
"taxCode": "string",
"datevAutomatic": true,
"bookable": true,
"builtIn": true
}
],
"incomeStatement": {
"name": "string",
"title": "string",
"lines": [
{
"category": "string"
}
]
}
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}